// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIEmpty.hpp"

using namespace Dawn;

UIEmpty::UIEmpty(SceneItem *item) : UIComponent(item) { }

float_t UIEmpty::getContentWidth() {
  return this->getWidthFromAlignment();
}
float_t UIEmpty::getContentHeight() {
  return this->getHeightFromAlignment();
}
float_t UIEmpty::getChildOffsetX() { return 0.0f; }
float_t UIEmpty::getChildOffsetY() { return 0.0f; }